Package io.vertx.ext.dropwizard.reporters

## Class JmxReporter.Builder

- java.lang.Object
- - io.vertx.ext.dropwizard.reporters.JmxReporter.Builder

- Enclosing class:
    JmxReporter

      public static class JmxReporter.Builder
      extends Object

  A builder for `JmxReporter` instances. Defaults to using the default MBean server and not filtering metrics.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JmxReporter` | `build()` | Builds a `JmxReporter` with the given properties.
    `JmxReporter.Builder` | `convertDurationsTo​(TimeUnit durationUnit)` | Convert durations to the given time unit.
    `JmxReporter.Builder` | `convertRatesTo​(TimeUnit rateUnit)` | Convert rates to the given time unit.
    `JmxReporter.Builder` | `filter​(com.codahale.metrics.MetricFilter filter)` | Only report metrics which match the given filter.
    `JmxReporter.Builder` | `inDomain​(String domain)` |
    `JmxReporter.Builder` | `registerWith​(MBeanServer mBeanServer)` | Register MBeans with the given `MBeanServer`.
    `JmxReporter.Builder` | `specificDurationUnits​(Map<String,​TimeUnit> specificDurationUnits)` | Use specific `TimeUnit`s for the duration of the metrics with these names.
    `JmxReporter.Builder` | `specificRateUnits​(Map<String,​TimeUnit> specificRateUnits)` | Use specific `TimeUnit`s for the rate of the metrics with these names.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### registerWith

          public JmxReporter.Builder registerWith​(MBeanServer mBeanServer)

      Register MBeans with the given `MBeanServer`.
      Parameters:
        `mBeanServer` - an `MBeanServer`
      Returns:
        `this`

    - #### convertRatesTo

          public JmxReporter.Builder convertRatesTo​(TimeUnit rateUnit)

      Convert rates to the given time unit.
      Parameters:
        `rateUnit` - a unit of time
      Returns:
        `this`

    - #### convertDurationsTo

          public JmxReporter.Builder convertDurationsTo​(TimeUnit durationUnit)

      Convert durations to the given time unit.
      Parameters:
        `durationUnit` - a unit of time
      Returns:
        `this`

    - #### filter

          public JmxReporter.Builder filter​(com.codahale.metrics.MetricFilter filter)

      Only report metrics which match the given filter.
      Parameters:
        `filter` - a `MetricFilter`
      Returns:
        `this`

    - #### inDomain

          public JmxReporter.Builder inDomain​(String domain)

    - #### specificDurationUnits

          public JmxReporter.Builder specificDurationUnits​(Map<String,​TimeUnit> specificDurationUnits)

      Use specific `TimeUnit`s for the duration of the metrics with these names.
      Parameters:
        `specificDurationUnits` - a map of metric names and specific `TimeUnit`s
      Returns:
        `this`

    - #### specificRateUnits

          public JmxReporter.Builder specificRateUnits​(Map<String,​TimeUnit> specificRateUnits)

      Use specific `TimeUnit`s for the rate of the metrics with these names.
      Parameters:
        `specificRateUnits` - a map of metric names and specific `TimeUnit`s
      Returns:
        `this`

    - #### build

          public JmxReporter build()

      Builds a `JmxReporter` with the given properties.
      Returns:
        a `JmxReporter`